Subject: Re: [Pkg-alsa-devel] Bug#608388: alsa-utils: restore fails after rename from "PC Speaker" to "Beep"

From: Elimar Riesebieter <[email-masked]>
Date: Thu, 30 Dec 2010 17:08:01 +0100

Hi Kurt,

* Kurt Roeckx [101230 14:48 +0100]:
> Package: alsa-utils
> Version: 1.0.23-3
> Severity: important
> 
> Hi,
> 
> I think Linux 2.6.33 renamed "PC Speaker" to "Beep".  alsactl
> doesn't seem to be liking this much.
> 
> During boot between kernels with different names I see:
> Setting up ALSA...warning: 'alsactl restore' failed with error message 'Unknown hardware: "ICH" "SigmaTel STAC9700,83,84" "AC97a:83847600" "0x1043" "0x1493"
> Hardware is initialized using a guess method
> alsactl: set_control:1255: failed to obtain info for control #5 (No such file or directory)
> alsactl: set_control:1255: failed to obtain info for control #6 (No such file or directory)'...done.
[...]
> So it seems that for .32 it sets up reasonable defaults, while for newer it just turns it off.
> But I'm expecting my settings to be saved, even after a rename.

Could you please apply attached patch to /etc/init.d/alsa-utils and
test again?

Thanks
Elimar

-- 
  Experience is something you don't get until 
  just after you need it!